<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerAnggota extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        check_not_login();
        if ($this->session->userdata('level') != 4) {
            redirect();
        }
        $this->load->library('encrypt');
        $this->load->library('form_validation');
        $this->load->library('Mycustom');
        $this->load->model('notifikasi_arisan');
        $this->load->model('bagian_arisan/insert_model');
        $this->load->model('bagian_arisan/select_model');
        $this->load->model('bagian_arisan/update_model');
        $this->set_timezone();
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }
    public function index()
    {
        // Notifikasi
        $jml_pengajuan        = count($this->notifikasi_arisan->Notifikasi_pengajuan());
        // End_notifikasi 
        $data_login                = $this->userlogin->user_login('isloggedin');
        $data_identitas_login      = $this->db->get_where('sistem_login', ['id' => $this->session->userdata('isloggedin')])->row_array();
        $data_id_login             = $this->session->userdata('isloggedin');
        $data_identitas_lanjutan   = $this->db->get_where('sistem_identitas', ['login_id' => $this->session->userdata('isloggedin')])->row_array();
        $jabatan                   = $this->db->get_where('sistem_role_level', ['id' => $data_identitas_login['role_id']])->row_array();
        $data_identitas_alamat     = $this->db->get_where('sistem_alamat', ['id' => $data_identitas_lanjutan['alamat_id']])->row_array();
        // echo '<pre>';
        // var_dump($jabatan);
        // die;
        // Query SQL Data atau isi data page
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'            => 'identitas',
            'page'              => 'index',
            'judul'             => 'Identitas Diri || Bagian Arisan',
            'data_id_login'     => $data_id_login,
            'data_login'        => $data_login,
            'jml_pengajuan'     => $jml_pengajuan,
            // Isi data
            'identitas_login'   => $data_identitas_login,
            'identitas_diri'    => $data_identitas_lanjutan,
            'alamat'            => $data_identitas_alamat,
            'jabatan'           => $jabatan
        );
        $this->load->view('arisan/index', $data);
    }
    public function detail()
    {
        redirect('arisan');
    }
    // Cek Identitas Anggota Koperasi
    public function anggota($id)
    {
        // NOtifikasi
        $jml_pengajuan             = count($this->notifikasi_arisan->Notifikasi_pengajuan());
        $data_login                = $this->userlogin->user_login('isloggedin');
        $data_id_login             = $this->session->userdata('isloggedin');
        // End Notifikasi
        $id_anggota                = $this->encrypt->decode($id);
        $data_identitas            = $this->select_model->getDataIdentitasAnggota($id_anggota);
        $data_kotkab               = $this->select_model->vd_kotkab();
        // Produk Aktif
        $produk_arisanheboh_aktif  = $this->select_model->getDataProdukAHA($id_anggota);
        $produk_arisanheboh_pasif  = $this->select_model->getDataProdukAHP($id_anggota);
        $produk_arisanmotor_aktif  = $this->select_model->getDataProdukAMA($id_anggota);
        $produk_arisanmotor_pasif  = $this->select_model->getDataProdukAMP($id_anggota);
        $jml_heboh_aktif           = count($produk_arisanheboh_aktif);
        $jml_motor_aktif           = count($produk_arisanmotor_aktif);
        $jml_heboh_pasif           = count($produk_arisanheboh_pasif);
        $jml_motor_pasif           = count($produk_arisanmotor_pasif);
        $data_nomor_cadangan       = $this->db->get_where('anggota_hp_cadangan', ['anggota_id' => $id_anggota])->result();
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'            => 'identitas/anggota',
            'page'              => 'index',
            'judul'             => 'Data Identitas Anggota Arisan || Bagian Arisan',
            'data_id_login'     => $data_id_login,
            'data_login'        => $data_login,
            'jml_pengajuan'       => $jml_pengajuan,
            'data_kota'         => $data_kotkab,
            // Isi data
            'data_anggota'      => $data_identitas,
            'heboh_aktif'       => $jml_heboh_aktif,
            'motor_aktif'       => $jml_motor_aktif,
            'heboh_pasif'       => $jml_heboh_pasif,
            'motor_pasif'       => $jml_motor_pasif,
            'a_arisanheboh'     => $produk_arisanheboh_aktif,
            'a_arisanmotor'     => $produk_arisanmotor_aktif,
            'p_arisanheboh'     => $produk_arisanheboh_pasif,
            'p_arisanmotor'     => $produk_arisanmotor_pasif,
            'anggota_id'        => $id_anggota,
            'nomor_cadangan'    => $data_nomor_cadangan
        );
        $this->load->view('arisan/index', $data);
    }
    public function crud()
    {
        if (isset($_POST['updateDataAnggota'])) {
            // Data Inputan
            $data_inputan = $this->_dataInputanIdentitas();
            $cek_alamat   = $this->_dataAlamatAnggota($data_inputan);
            $this->update_model->updateDataAnggota($data_inputan, $cek_alamat);
            redirect('arisan/identitas/anggota/' . $this->encrypt->encode($data_inputan['id_anggota']));
        };
        if (isset($_POST['updateDataAnggotaKaryawan'])) {
            // Data Inputan Karyawan
            $data_inputan = $this->_dataInputanIdentitasKaryawan();
            // Merubah Email
            $this->_VEmailUsername($data_inputan);
            redirect('logout');
        }
    }
    // Ajak Cek NIK Anggota
    public function data_anggota()
    {
        $nik               = $this->input->post('nik');
        $identitas_anggota = $this->select_model->getDataAnggota($nik);
        if ($identitas_anggota > 0) :
            $data_ada = array(
                'nm_anggota'     => $identitas_anggota['nm_anggota'],
                'jk'             => $identitas_anggota['jk'],
                'alamat_lengkap' => $identitas_anggota['alamat_lengkap'],
                'kota_kabupaten' => '<option value="' . $identitas_anggota['kot_kab'] . '">' . $identitas_anggota['kot_kab']  . '</option>',
                'kecamatan_baru' => '<option value="' . $identitas_anggota['nm_kecamatan'] . '">' . $identitas_anggota['nm_kecamatan']  . '</option>',
                'dk_ds'          => '<option value="' . $identitas_anggota['nm_desa'] . '">' . $identitas_anggota['nm_desa']  . '</option>',
                'nm_rt'          => $identitas_anggota['nm_rt'],
                'nm_rw'          => $identitas_anggota['nm_rw'],
                'tempat_lahir'   => $identitas_anggota['tempat_lahir'],
                'tgl_lahir'      => $identitas_anggota['tgl_lahir'],
                'no_hp'          => $identitas_anggota['no_hp'],
                'pekerjaan'      => $identitas_anggota['pekerjaan'],
                'suami_istri'    => $identitas_anggota['suami_istri'],
                'foto_ktplama'   => $identitas_anggota['foto_ktp']
            );
            echo json_encode($data_ada);
        else :
            $data_new = array(
                'nm_anggota' => '',
                'jk' => 'ok',
                'alamat_lengkap' => '',
                'kode_pos' => '',
                'nm_rt' => 'ok',
                'nm_rw' => 'ok',
                'tempat_lahir' => '',
                'tgl_lahir' =>  '',
                'no_hp' =>  '',
                'pekerjaan' =>  '',
                'suami_istri' =>  '',
                'foto_ktplama' =>  ''
            );
            echo json_encode($data_new);
        endif;
    }
    // Ajak Cek Nomor Urut Anggota
    public function cek_pemenang()
    {
        $nomor_urut = $this->input->post('nomor_urut');
        $jadwal_id  = $this->input->post('jadwal_id');
        $arisan_id  = $this->input->post('arisan_id');
        $cek_bayar = $this->select_model->cariAnggotaSudahBayar($nomor_urut, $arisan_id, $jadwal_id);
        if ($cek_bayar > 0) :
            $data_new = array(
                'stts_anggota' => $cek_bayar['kd_undian'] . ' - ' . $cek_bayar['nm_anggota'] . ' - ' . $cek_bayar['no_hp']
            );
            echo json_encode($data_new);
        else :
            $data_new = array(
                'stts_anggota' => 'Belum Bayar / Sudah Menang / Mengundurkan Diri'
            );
            echo json_encode($data_new);
        endif;
    }
    public function cek_keluarga()
    {
        $nik = $this->input->post('nik');
        $identitas_anggota = $this->select_model->getDataAnggota($nik);
        if ($identitas_anggota > 0) :
            echo json_encode($identitas_anggota);
        else :
            $data_new = array(
                'nm_anggota' => '',
                'no_hp' =>  ''
            );
            echo json_encode($data_new);
        endif;
    }
    public function cek_keluarga_nohp()
    {
        $no_hp = $this->input->post('no_hp');
        $identitas_anggota = $this->select_model->getDataAnggotaNoHp($no_hp);
        if ($identitas_anggota > 0) :
            echo json_encode($identitas_anggota);
        else :
            $data_new = array(
                'nm_anggota' => '',
                'nik' =>  ''
            );
            echo json_encode($data_new);
        endif;
    }
    public function cek_arisan()
    {
        $nik                 = $this->input->post('nik');
        $hitung_inputan      = strlen($nik);
        $cek_nomor           = substr($nik, 1, 1);
        $regist_arisan       = $this->input->post('regist_arisan');
        $cek_jadwal          = $this->db->get_where('p_arisan_jadwal', ['regist_arisan' => $regist_arisan, 'status_undian' => 'BELUM'])->row_array();
        $jadwal_id           = $cek_jadwal['id'];
        if ($hitung_inputan == 16) :
            $identitas_anggota   = $this->select_model->getDataAnggota($nik);
            $anggota_id          = $identitas_anggota['id_anggota'];
            $cek_arisan          = $this->select_model->getDataArisanAnggota($anggota_id, $regist_arisan, $jadwal_id);
            $data_arisan         = $this->select_model->getDataArisanIdentitas($regist_arisan);
            $ttl_tagihan         = count($cek_arisan);
            $iuran               = $data_arisan['tagihan_iuran'];
            $ttl_bayar           = $ttl_tagihan * $iuran;
            if ($identitas_anggota > 0) :
                $data_ajax = array(
                    'ttl_bayar'     => $ttl_bayar,
                    'ttl_tagihan'   => $ttl_tagihan,
                    'iuran_bulanan' => $iuran,
                    'id_anggota'    => $anggota_id
                );
                echo json_encode($data_ajax);
            else :
                $data_ajax = array(
                    'ttl_bayar'     => 'NIK / NO Regist / Anggota',
                    'ttl_tagihan'   => 'Tidak Terdaftar',
                    'iuran_bulanan' => 'Dalam Kelompok Arisan'
                );
                echo json_encode($data_ajax);
            endif;
        else :
            if ($cek_nomor == 8) :
                $identitas_anggota   = $this->select_model->getDataAnggotaNomorHP($nik); // Menampilkan data anggota dengan Nomor HP
                $anggota_id          = $identitas_anggota['id_anggota'];
                $cek_arisan          = $this->select_model->getDataArisanAnggota($anggota_id, $regist_arisan, $jadwal_id);
                $data_arisan         = $this->select_model->getDataArisanIdentitas($regist_arisan);
                $ttl_tagihan         = count($cek_arisan);
                $iuran               = $data_arisan['tagihan_iuran'];
                $ttl_bayar           = $ttl_tagihan * $iuran;
                if ($identitas_anggota > 0) :
                    $data_ajax = array(
                        'ttl_bayar'     => $ttl_bayar,
                        'ttl_tagihan'   => $ttl_tagihan,
                        'iuran_bulanan' => $iuran,
                        'id_anggota'    => $anggota_id
                    );
                    echo json_encode($data_ajax);
                else :
                    $data_ajax = array(
                        'ttl_bayar'     => 'NIK / NO Regist / Anggota',
                        'ttl_tagihan'   => 'Tidak Terdaftar',
                        'iuran_bulanan' => 'Dalam Kelompok Arisan'
                    );
                    echo json_encode($data_ajax);
                endif;
            else :
                $identitas_anggota   = $this->select_model->getDataAnggotaNoUndian($nik); // Menampilkan data anggota dengan Nomor Undian
                $anggota_id          = $identitas_anggota['id_anggota'];
                $cek_arisan          = $this->select_model->getDataArisanAnggota($anggota_id, $regist_arisan, $jadwal_id);
                $data_arisan         = $this->select_model->getDataArisanIdentitas($regist_arisan);
                $ttl_tagihan         = count($cek_arisan);
                $iuran               = $data_arisan['tagihan_iuran'];
                $ttl_bayar           = $ttl_tagihan * $iuran;
                if ($identitas_anggota > 0) :
                    $data_ajax = array(
                        'ttl_bayar'     => $ttl_bayar,
                        'ttl_tagihan'   => $ttl_tagihan,
                        'iuran_bulanan' => $iuran,
                        'id_anggota'    => $anggota_id
                    );
                    echo json_encode($data_ajax);
                else :
                    $data_ajax = array(
                        'ttl_bayar'     => 'NIK / NO Regist / Anggota',
                        'ttl_tagihan'   => 'Tidak Terdaftar',
                        'iuran_bulanan' => 'Dalam Kelompok Arisan'
                    );
                    echo json_encode($data_ajax);
                endif;
            endif;
        endif;
    }
    public function cek_arisan_kasir()
    {
        $nik                 = $this->input->post('nik');
        $hitung_inputan      = strlen($nik);
        $cek_nomor           = substr($nik, 1, 1);
        if ($hitung_inputan == 16) :
            $regist_arisan       = $this->input->post('regist_arisan');
            $identitas_anggota   = $this->select_model->getDataAnggota($nik);
            $id_anggota          = $identitas_anggota['id_anggota'];
            $cek_arisan          = $this->select_model->getDataArisanAnggota($id_anggota, $regist_arisan);
            $data_arisan         = $this->select_model->getDataArisanIdentitas($regist_arisan);
            $ttl_tagihan         = count($cek_arisan);
            $iuran               = $data_arisan['tagihan_iuran'];
            $ttl_bayar           = $ttl_tagihan * $iuran;
            if ($identitas_anggota > 0) :
                $data_ajax = array(
                    'ttl_bayar'     => $ttl_bayar,
                    'ttl_tagihan'   => $ttl_tagihan,
                    'iuran_bulanan' => $iuran,
                    'id_anggota'    => $id_anggota
                );
                echo json_encode($data_ajax);
            else :
                $data_ajax = array(
                    'ttl_bayar'     => 'NIK / NO Regist / Anggota',
                    'ttl_tagihan'   => 'Tidak Terdaftar',
                    'iuran_bulanan' => 'Dalam Kelompok Arisan'
                );
                echo json_encode($data_ajax);
            endif;
        else :
            if ($cek_nomor == 8) :
                $regist_arisan       = $this->input->post('regist_arisan');
                $identitas_anggota   = $this->select_model->getDataAnggotaNomorHP($nik); // Menampilkan data anggota dengan Nomor HP
                $id_anggota          = $identitas_anggota['id_anggota'];
                $cek_arisan          = $this->select_model->getDataArisanAnggota($id_anggota, $regist_arisan);
                $data_arisan         = $this->select_model->getDataArisanIdentitas($regist_arisan);
                $ttl_tagihan         = count($cek_arisan);
                $iuran               = $data_arisan['tagihan_iuran'];
                $ttl_bayar           = $ttl_tagihan * $iuran;
                if ($identitas_anggota > 0) :
                    $data_ajax = array(
                        'ttl_bayar'     => $ttl_bayar,
                        'ttl_tagihan'   => $ttl_tagihan,
                        'iuran_bulanan' => $iuran,
                        'id_anggota'    => $id_anggota
                    );
                    echo json_encode($data_ajax);
                else :
                    $data_ajax = array(
                        'ttl_bayar'     => 'NIK / NO Regist / Anggota',
                        'ttl_tagihan'   => 'Tidak Terdaftar',
                        'iuran_bulanan' => 'Dalam Kelompok Arisan'
                    );
                    echo json_encode($data_ajax);
                endif;
            else :
                $regist_arisan       = $this->input->post('regist_arisan');
                $identitas_anggota   = $this->select_model->getDataAnggotaNoUndian($nik); // Menampilkan data anggota dengan Nomor Undian
                $id_anggota          = $identitas_anggota['id_anggota'];
                $cek_arisan          = $this->select_model->getDataArisanAnggota($id_anggota, $regist_arisan);
                $data_arisan         = $this->select_model->getDataArisanIdentitas($regist_arisan);
                $ttl_tagihan         = count($cek_arisan);
                $iuran               = $data_arisan['tagihan_iuran'];
                $ttl_bayar           = $ttl_tagihan * $iuran;
                if ($identitas_anggota > 0) :
                    $data_ajax = array(
                        'ttl_bayar'     => $ttl_bayar,
                        'ttl_tagihan'   => $ttl_tagihan,
                        'iuran_bulanan' => $iuran,
                        'id_anggota'    => $id_anggota
                    );
                    echo json_encode($data_ajax);
                else :
                    $data_ajax = array(
                        'ttl_bayar'     => 'NIK / NO Regist / Anggota',
                        'ttl_tagihan'   => 'Tidak Terdaftar',
                        'iuran_bulanan' => 'Dalam Kelompok Arisan'
                    );
                    echo json_encode($data_ajax);
                endif;
            endif;
        endif;
    }
    // Data Inputan identitas Anggota
    private function _dataInputanIdentitas()
    {
        $data_inputan = array(
            'id_anggota'     => htmlspecialchars($this->input->post('id_anggota')),
            'nik'            => htmlspecialchars($this->input->post('nik')),
            'nm_anggota'     => htmlspecialchars($this->input->post('nm_anggota')),
            'jk'             => htmlspecialchars($this->input->post('jk')),
            'alamat_lengkap' => htmlspecialchars($this->input->post('alamat_lengkap')),
            'kode_pos'       => htmlspecialchars($this->input->post('kode_pos')),
            'nm_rt'          => htmlspecialchars($this->input->post('nm_rt')),
            'nm_rw'          => htmlspecialchars($this->input->post('nm_rw')),
            'nm_desa'        => htmlspecialchars($this->input->post('nm_desa')),
            'nm_kecamatan'   => htmlspecialchars($this->input->post('nm_kecamatan')),
            'kot_kab'        => htmlspecialchars($this->input->post('kot_kab')),
            'prov'           => htmlspecialchars($this->input->post('prov')),
            'tempat_lahir'   => htmlspecialchars($this->input->post('tempat_lahir')),
            'tgl_lahir'      => htmlspecialchars($this->input->post('tgl_lahir')),
            'no_hp'          => htmlspecialchars($this->input->post('no_hp')),
            'pekerjaan'      => htmlspecialchars($this->input->post('pekerjaan')),
            'suami_istri'    => htmlspecialchars($this->input->post('suami_istri')),
            'foto_ktp_old'   => htmlspecialchars($this->input->post('foto_ktp_old'))
        );
        return $data_inputan;
    }
    // Cek email dan ganti email
    private function _VEmailUsername($data_inputan)
    {
        $alamat_id = $this->_dataAlamatAnggota($data_inputan);
        if ($data_inputan['email'] != $data_inputan['email_lama']) :
            $cek_email = $this->db->get_where('sistem_login', ['email' => $data_inputan['email']])->row_array();
            if ($cek_email > 0) :
                $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Email Baru Sudah Terdaftar!</div>');
                redirect('arisan/identitas');
            endif;
        endif;
        $cek_username = $this->db->get_where('sistem_login', ['id' => $data_inputan['karyawan_id']])->row_array();
        if ($cek_username['username'] != $data_inputan['username']) :
            $cek_username2 = $this->db->get_where('sistem_login', ['username' => $data_inputan['username']])->row_array();
            if ($cek_username2 > 0) :
                $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Username Baru Sudah Terdaftar!</div>');
                redirect('arisan/identitas');
            endif;
        endif;
        if ($cek_username['no_hp'] != $data_inputan['no_hp']) :
            $cek_username2 = $this->db->get_where('sistem_login', ['no_hp' => $data_inputan['no_hp']])->row_array();
            if ($cek_username2 > 0) :
                $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Nomor HP Baru Sudah Terdaftar!</div>');
                redirect('arisan/identitas');
            endif;
        endif;
        $cek_nik = $this->db->get_where('sistem_identitas', ['nik' => $data_inputan['nik']])->row_array();
        if ($cek_nik > 0) :
            $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">NIK Baru Sudah Terdaftar!</div>');
            redirect('arisan/identitas');
        endif;
        $cek_identitas = $this->db->get_where('sistem_identitas', ['login_id' => $data_inputan['karyawan_id']])->row_array();
        if ($cek_identitas > 0) :
            if ($cek_identitas['nik'] != $data_inputan['nik']) :
                $data_identitas = array(
                    'nik' => $data_inputan['nik'],
                    'jk' => $data_inputan['jk'],
                    'tempat_lahir' => $data_inputan['tempat_lahir'],
                    'tgl_lahir' => $data_inputan['tgl_lahir'],
                    'alamat_id' => $alamat_id,
                    'tgl_gabung' => $data_inputan['tgl_gabung']
                );
                $this->db->where('login_id', $data_inputan['karyawan_id']);
                $this->db->update('sistem_identitas', $data_identitas);
            else :
                $data_identitas = array(
                    'jk' => $data_inputan['jk'],
                    'tempat_lahir' => $data_inputan['tempat_lahir'],
                    'tgl_lahir' => $data_inputan['tgl_lahir'],
                    'alamat_id' => $alamat_id,
                    'tgl_gabung' => $data_inputan['tgl_gabung']
                );
                $this->db->where('login_id', $data_inputan['karyawan_id']);
                $this->db->update('sistem_identitas', $data_identitas);
            endif;
        else :
            $this->insert_model->tambahIdentitasKaryawan($data_inputan, $alamat_id);
        endif;
        $data = array(
            'email'    => $data_inputan['email'],
            'no_hp'    => $data_inputan['no_hp'],
            'username' => $data_inputan['username']
        );
        $this->db->where('id', $data_inputan['karyawan_id']);
        $this->db->update('sistem_login', $data);
    }
    private function _dataInputanIdentitasKaryawan()
    {
        $data_inputan = array(
            'karyawan_id'    => htmlspecialchars($this->input->post('id')),
            'email'          => htmlspecialchars($this->input->post('email')),
            'email_lama'     => htmlspecialchars($this->input->post('email_lama')),
            'nm_panggilan'   => htmlspecialchars($this->input->post('nm_panggilan')),
            'username'       => htmlspecialchars($this->input->post('username')),
            'nik'            => htmlspecialchars($this->input->post('nik')),
            'jk'             => htmlspecialchars($this->input->post('jk')),
            'kode_pos'       => htmlspecialchars($this->input->post('kode_pos')),
            'nm_rt'          => htmlspecialchars($this->input->post('nm_rt')),
            'nm_rw'          => htmlspecialchars($this->input->post('nm_rw')),
            'nm_desa'        => htmlspecialchars($this->input->post('nm_desa')),
            'nm_kecamatan'   => htmlspecialchars($this->input->post('nm_kecamatan')),
            'kot_kab'        => htmlspecialchars($this->input->post('kot_kab')),
            'prov'           => htmlspecialchars($this->input->post('prov')),
            'tempat_lahir'   => htmlspecialchars($this->input->post('tempat_lahir')),
            'tgl_lahir'      => htmlspecialchars($this->input->post('tgl_lahir')),
            'no_hp'          => htmlspecialchars($this->input->post('no_hp')),
            'tgl_gabung'     => htmlspecialchars($this->input->post('tgl_gabung')),
            'foto_ktp_old'   => htmlspecialchars($this->input->post('foto_ktp_old'))
        );
        return $data_inputan;
    }
    // Cek alamat anggota
    private function _dataAlamatAnggota($data_inputan)
    {
        $cek_alamat = $this->db->get_where('sistem_alamat', ['nm_rt' => $data_inputan['nm_rt'], 'nm_rw' => $data_inputan['nm_rw'], 'kd_pos' => $data_inputan['kode_pos'], 'nm_desa' => $data_inputan['nm_desa']])->row_array();
        if ($cek_alamat > 0) :
            $alamat_id = $cek_alamat['id'];
            return $alamat_id;
        else :
            $data_alamat = array(
                'nm_rt'        => $data_inputan['nm_rt'],
                'nm_rw'        => $data_inputan['nm_rw'],
                'nm_desa'      => $data_inputan['nm_desa'],
                'nm_kecamatan' => $data_inputan['nm_kecamatan'],
                'kd_pos'       => $data_inputan['kode_pos'],
                'kot_kab'      => $data_inputan['kot_kab'],
                'prov'         => $data_inputan['prov']
            );
            $this->db->insert('sistem_alamat', $data_alamat);
            $alamat = $this->db->get_where('sistem_alamat', ['nm_rt' => $data_inputan['nm_rt'], 'nm_rw' => $data_inputan['nm_rw'], 'kd_pos' => $data_inputan['kode_pos'], 'nm_desa' => $data_inputan['nm_desa']])->row_array();
            $alamat_id = $alamat['id'];
            return $alamat_id;
        endif;
    }
}

/* End of file ControllerAnggota.php and path \application\controllers\arisan\ControllerAnggota.php */